<?php

namespace Drupal\synhelper\Hook;

use Drupal\Core\Controller\ControllerBase;

/**
 * AjaxContactForm.
 */
class FormMenuEditFormAlter extends ControllerBase {

  /**
   * Hook.
   */
  public static function hook(&$form, &$form_state, $form_id) {
    drupal_set_message('Для этого меню отключены некоторые поля ' . __FUNCTION__, 'warning');
    if ($form['id']['#default_value'] == 'main') {
      $form['id']['#prefix'] = '<div class="element-hidden">';
      $form['id']['#suffix'] = '</div>';
      $form['label']['#type'] = 'hidden';
      $form['label']['#disabled'] = TRUE;
      $form['description']['#type'] = 'hidden';
      $form['description']['#disabled'] = TRUE;
      $form['langcode']['#prefix'] = '<div class="element-hidden">';
      $form['langcode']['#disabled'] = TRUE;
      $form['langcode']['#suffix'] = '</div>';
    }
  }

}
